﻿import es
import popuplib
import random
import gamethread
import cfglib
import langlib
import os
import playerlib

apath = es.getAddonPath("starwars")
config = cfglib.AddonCFG(apath + "/settings.cfg")
config.text("**************************")
config.text("Addon Settings")
config.text("**************************")
config.text(" ")
config.text("*****************************************************************************")
config.text("Configuration: General Settings\n//\n//Desc : Configure the general settings the mod uses")
config.text("*****************************************************************************")
sw_jediModeEnabled = config.cvar("sw_jediModeEnabled",   1, "1 Enable / 0 Disable Jedi Mod (Allows Users to use Yoda and Darth Vader)")
sw_jediYodaTeamRistriction = config.cvar("sw_jediYodaTeamRistriction",   1, "Set the Number of Players which they can use per team")
sw_jediVaderTeamRistriction = config.cvar("sw_jediVaderTeamRistriction",   1, "Set the Number of Players which they can use per team")
sw_jediObiwanTeamRistriction = config.cvar("sw_jediObiwanTeamRistriction",   1, "Set the Number of Players which they can use per team")
sw_jediAhsokaTeamRistriction = config.cvar("sw_jediAhsokaTeamRistriction",   1, "Set the Number of Players which they can use per team")
sw_jediAnakinTeamRistriction = config.cvar("sw_jediAnakinTeamRistriction",   1, "Set the Number of Players which they can use per team")
sw_jediR2d2TeamRistriction = config.cvar("sw_jediR2d2TeamRistriction",   1, "Set the Number of Players which they can use per team")
sw_jediLeiaTeamRistriction = config.cvar("sw_jediLeiaTeamRistriction",   1, "Set the Number of Players which they can use per team")
sw_bobaJetsEnabled = config.cvar("bobaJetsEnabled",   1, "1 = Enable Boba Fetts Jetpack 0 = Disable it")
sw_jediCountDookuTeamRistriction = config.cvar("sw_jediCountDookuTeamRistriction",   1, "Set the Number of Players which they can use per team")
sw_jediDarthmaulTeamRistriction = config.cvar("sw_jediDarthmaulTeamRistriction",   1, "Set the Number of Players which they can use per team")
sw_jediGrievousTeamRistriction = config.cvar("sw_jediGrievousTeamRistriction",   1, "Set the Number of Players which they can use per team")
sw_randomclasses = config.cvar("sw_randomclasses",   1, "1 = When The users have no classes selceted there will be set a random one/ 0 = Disable it")
effecttype = config.cvar("effecttype",   'effects/laser1.vmt', "Here you can set the Laser model")
sw_showmenuoneveryspawn = config.cvar("sw_showmenuoneveryspawn",   0, "1 = Shows the Class menu on every spawn/ 0 = Disable it")
sw_bobaJetstime = config.cvar("sw_bobaJetstime",   5, "Set the Time how long the Jetpack can be used")
sw_weaponSoundsEnabled = config.cvar("sw_weaponSoundsEnabled",   1, "1 = Enable Weapon Sounds 0 = Disable it")
sw_charSoundsEnabled = config.cvar("sw_charSoundsEnabled",   1, " 1 = Allow Death Sounds / 0 = Disable it")
sw_lasers_enabled = config.cvar("sw_lasers_enabled",   1, "1 = Allow Laser 0 = Disable it")
sw_jabbaLaughEnabled = config.cvar("sw_jabbaLaughEnabled",   1, "1 = Allow Jabba to laught after Bomb explode / 0 Disable it")
sw_more_damage_for_jedi = config.cvar("sw_more_damage_for_jedi",   1, "1 = Allows Jedis to do more damage by lightsaber (knife)")
sw_jedi_damage_by_knife = config.cvar("sw_jedi_damage_by_knife",  10, "Set the Value of Damage when jedi is hitting a player with lightsaber(knife)")
sw_admins = config.cvar("sw_admins", "STEAM_0:1:11481373,STEAM_0:1:12345678", "Set the Admins (split by comma if you want to add more)")
sw_jetpack_force = config.cvar("sw_jetpack_force", "!jetpack", "Set the Command with that Boba fett useres can open jetpack menu.")
sw_admin_force = config.cvar("sw_admin_force", "!swadmin", "Set the Command with that Admins can open Admin menu.")
sw_force_command = config.cvar("sw_force_command", "!swmenu", "Set the Command with that Users can open Class menu.")
sw_restricted_rebel = config.cvar("sw_restricted_rebel",   'scout;awp;glock', "This Weapons are only restricted for the Rebel class (Split the Weapons with ;)")
sw_restricted_wookie = config.cvar("sw_restricted_wookie",   'awp', "This Weapons are only restricted for the Wookie class (Split the Weapons with ;)")
sw_restricted_jawa = config.cvar("sw_restricted_jawa",   'm4a1', "This Weapons are only restricted for the Jawa class (Split the Weapons with ;)")
sw_restricted_tuske = config.cvar("sw_restricted_tuske",   'ak47', "This Weapons are only restricted for the Tuske class (Split the Weapons with ;)")
sw_restricted_c3po = config.cvar("sw_restricted_c3po",   'deagle', "This Weapons are only restricted for the C3PO class (Split the Weapons with ;)")
sw_restricted_yoda = config.cvar("sw_restricted_yoda",   'usp', "This Weapons are only restricted for the Yoda class (Split the Weapons with ;)")
sw_restricted_storm = config.cvar("sw_restricted_storm",   'glock', "This Weapons are only restricted for the Stormtooper class (Split the Weapons with ;)")
sw_restricted_snow = config.cvar("sw_restricted_snow",   'awp', "This Weapons are only restricted for the Snowtrooper class (Split the Weapons with ;)")
sw_restricted_rodian = config.cvar("sw_restricted_rodian",   'scout', "This Weapons are only restricted for the Rodian class (Split the Weapons with ;)")
sw_restricted_officer = config.cvar("sw_restricted_officer",   'awp', "This Weapons are only restricted for the Officer class (Split the Weapons with ;)")
sw_restricted_boba = config.cvar("sw_restricted_boba",   'scout', "This Weapons are only restricted for the Boba Fett class (Split the Weapons with ;)")
sw_restricted_vader = config.cvar("sw_restricted_vader",   'scout', "This Weapons are only restricted for the Vader class (Split the Weapons with ;)")
sw_restricted_obiwan = config.cvar("sw_restricted_obiwan",   'scout;awp;glock', "This Weapons are only restricted for the Obi Wan class (Split the Weapons with ;)")
sw_restricted_ahsoka = config.cvar("sw_restricted_ahsoka",   'awp', "This Weapons are only restricted for the Ahsoka class (Split the Weapons with ;)")
sw_restricted_anikan = config.cvar("sw_restricted_anikan",   'm4a1', "This Weapons are only restricted for the Anikan class (Split the Weapons with ;)")
sw_restricted_r2d2 = config.cvar("sw_restricted_r2d2",   'ak47', "This Weapons are only restricted for the R2d2 class (Split the Weapons with ;)")
sw_restricted_leia = config.cvar("sw_restricted_leia",   'deagle', "This Weapons are only restricted for the Leia class (Split the Weapons with ;)")
sw_restricted_grievous = config.cvar("sw_restricted_grievous",   'usp', "This Weapons are only restricted for the Grievous class (Split the Weapons with ;)")
sw_restricted_darthmaul = config.cvar("sw_restricted_darthmaul",   'glock', "This Weapons are only restricted for the Darth Maul class (Split the Weapons with ;)")
sw_restricted_countdooku = config.cvar("sw_restricted_countdooku",   'awp', "This Weapons are only restricted for the Count Dooku class (Split the Weapons with ;)")
sw_rebel_health = config.cvar("sw_rebel_health",   110, "Here you can set the Health of the Rebel Class")
sw_rebel_speed = config.cvar("sw_rebel_speed",   1.7, "Here you can set the Speed of the Rebel Class (From 0.1 to 1.9)")
sw_rebel_armor = config.cvar("sw_rebel_armor",   100, "Here you can set the Armor of the Rebel Class")
sw_rebel_giveweapons = config.cvar("sw_rebel_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_wookie_health = config.cvar("sw_wookie_health",   110, "Here you can set the Health of the Wookie Class")
sw_wookie_speed = config.cvar("sw_wookie_speed",   1.7, "Here you can set the Speed of the Wookie Class (From 0.1 to 1.9)")
sw_wookie_armor = config.cvar("sw_wookie_armor",   100, "Here you can set the Armor of the Wookie Class")
sw_wookie_giveweapons = config.cvar("sw_wookie_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_jawa_health = config.cvar("sw_jawa_health",   110, "Here you can set the Health of the Jawa Class")
sw_jawa_speed = config.cvar("sw_jawa_speed",   1.7, "Here you can set the Speed of the Jawa Class (From 0.1 to 1.9)")
sw_jawa_armor = config.cvar("sw_jawa_armor",   100, "Here you can set the Armor of the Jawa Class")
sw_jawa_giveweapons = config.cvar("sw_jawa_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_tuske_health = config.cvar("sw_tuske_health",   110, "Here you can set the Health of the Tuske Class")
sw_tuske_speed = config.cvar("sw_tuske_speed",   1.7, "Here you can set the Speed of the Tuske Class (From 0.1 to 1.9)")
sw_tuske_armor = config.cvar("sw_tuske_armor",   100, "Here you can set the Armor of the Tuske Class")
sw_tuske_giveweapons = config.cvar("sw_tuske_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_c3po_health = config.cvar("sw_c3po_health",   110, "Here you can set the Health of the C3PO Class")
sw_c3po_speed = config.cvar("sw_c3po_speed",   1.7, "Here you can set the Speed of the C3PO Class (From 0.1 to 1.9)")
sw_c3po_armor = config.cvar("sw_c3po_armor",   100, "Here you can set the Armor of the C3PO Class")
sw_c3po_giveweapons = config.cvar("sw_c3po_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_yoda_health = config.cvar("sw_yoda_health",   110, "Here you can set the Health of the Yoda Class")
sw_yoda_speed = config.cvar("sw_yoda_speed",   1.7, "Here you can set the Speed of the Yoda Class (From 0.1 to 1.9)")
sw_yoda_armor = config.cvar("sw_yoda_armor",   100, "Here you can set the Armor of the Yoda Class")
sw_yoda_giveweapons = config.cvar("sw_yoda_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_storm_health = config.cvar("sw_storm_health",   110, "Here you can set the Health of the Stormtrooper Class")
sw_storm_speed = config.cvar("sw_storm_speed",   1.7, "Here you can set the Speed of the Stormtrooper Class (From 0.1 to 1.9)")
sw_storm_armor = config.cvar("sw_storm_armor",   100, "Here you can set the Armor of the Stromtrooper Class")
sw_storm_giveweapons = config.cvar("sw_storm_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_snow_health = config.cvar("sw_snow_health",   110, "Here you can set the Health of the Snowtrooper Class")
sw_snow_speed = config.cvar("sw_snow_speed",   1.7, "Here you can set the Speed of the Snowtrooper Class (From 0.1 to 1.9)")
sw_snow_armor = config.cvar("sw_snow_armor",   100, "Here you can set the Armor of the Snowtrooper Class")
sw_snow_giveweapons = config.cvar("sw_snow_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_rodian_health = config.cvar("sw_rodian_health",   110, "Here you can set the Health of the Rodian Class")
sw_rodian_speed = config.cvar("sw_rodian_speed",   1.7, "Here you can set the Speed of the Rodian Class (From 0.1 to 1.9)")
sw_rodian_armor = config.cvar("sw_rodian_armor",   100, "Here you can set the Armor of the Rodian Class")
sw_rodian_giveweapons = config.cvar("sw_rodian_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_officer_health = config.cvar("sw_officer_health",   110, "Here you can set the Health of the Officer Class")
sw_officer_speed = config.cvar("sw_officer_speed",   1.7, "Here you can set the Speed of the Officer Class (From 0.1 to 1.9)")
sw_officer_armor = config.cvar("sw_officer_armor",   100, "Here you can set the Armor of the Officer Class")
sw_officer_giveweapons = config.cvar("sw_officer_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_boba_health = config.cvar("sw_boba_health",   110, "Here you can set the Health of the Boba Class")
sw_boba_speed = config.cvar("sw_boba_speed",   1.7, "Here you can set the Speed of the Boba Class (From 0.1 to 1.9)")
sw_boba_armor = config.cvar("sw_boba_armor",   100, "Here you can set the Armor of the Boba Class")
sw_boba_giveweapons = config.cvar("sw_boba_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_vader_health = config.cvar("sw_vader_health",   110, "Here you can set the Health of the Vader Class")
sw_vader_speed = config.cvar("sw_vader_speed",   1.7, "Here you can set the Speed of the Vader Class (From 0.1 to 1.9)")
sw_vader_armor = config.cvar("sw_vader_armor",   100, "Here you can set the Armor of the Vader Class")
sw_vader_giveweapons = config.cvar("sw_vader_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_obiwan_health = config.cvar("sw_obiwan_health",   110, "Here you can set the Health of the Obi Wan Class")
sw_obiwan_speed = config.cvar("sw_obiwan_speed",   1.7, "Here you can set the Speed of the Obi Wan Class (From 0.1 to 1.9)")
sw_obiwan_armor = config.cvar("sw_obiwan_armor",   100, "Here you can set the Armor of the Obi Wan Class")
sw_obiwan_giveweapons = config.cvar("sw_obiwan_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_ahsoka_health = config.cvar("sw_ahsoka_health",   110, "Here you can set the Health of the Ashoka Class")
sw_ahsoka_speed = config.cvar("sw_ahsoka_speed",   1.7, "Here you can set the Speed of the Ashoka Class (From 0.1 to 1.9)")
sw_ahsoka_armor = config.cvar("sw_ahsoka_armor",   100, "Here you can set the Armor of the Ashoka Class")
sw_ahsoka_giveweapons = config.cvar("sw_ahsoka_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_anikan_health = config.cvar("sw_anikan_health",   110, "Here you can set the Health of the Anikan Class")
sw_anikan_speed = config.cvar("sw_anikan_speed",   1.7, "Here you can set the Speed of the Anikan Class (From 0.1 to 1.9)")
sw_anikan_armor = config.cvar("sw_anikan_armor",   100, "Here you can set the Armor of the Anikan Class")
sw_anikan_giveweapons = config.cvar("sw_anikan_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_r2d2_health = config.cvar("sw_r2d2_health",   110, "Here you can set the Health of the R2d2 Class")
sw_r2d2_speed = config.cvar("sw_r2d2_speed",   1.7, "Here you can set the Speed of the R2d2 Class (From 0.1 to 1.9)")
sw_r2d2_armor = config.cvar("sw_r2d2_armor",   100, "Here you can set the Armor of the R2d2 Class")
sw_r2d2_giveweapons = config.cvar("sw_r2d2_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_leia_health = config.cvar("sw_leia_health",   110, "Here you can set the Health of the Leia Class")
sw_leia_speed = config.cvar("sw_leia_speed",   1.7, "Here you can set the Speed of the Leia Class (From 0.1 to 1.9)")
sw_leia_armor = config.cvar("sw_leia_armor",   100, "Here you can set the Armor of the Leia Class")
sw_leia_giveweapons = config.cvar("sw_leia_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_grievous_health = config.cvar("sw_grievous_health",   110, "Here you can set the Health of the Grievous Class")
sw_grievous_speed = config.cvar("sw_grievous_speed",   1.7, "Here you can set the Speed of the Grievous Class (From 0.1 to 1.9)")
sw_grievous_armor = config.cvar("sw_grievous_armor",   100, "Here you can set the Armor of the Grievous Class")
sw_grievous_giveweapons = config.cvar("sw_grievous_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_darthmaul_health = config.cvar("sw_darthmaul_health",   110, "Here you can set the Health of the Darth Maul Class")
sw_darthmaul_speed = config.cvar("sw_darthmaul_speed",   1.7, "Here you can set the Speed of the Darth Maul Class (From 0.1 to 1.9)")
sw_darthmaul_armor = config.cvar("sw_darthmaul_armor",   100, "Here you can set the Armor of the Darth Maul Class")
sw_darthmaul_giveweapons = config.cvar("sw_darthmaul_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")
sw_countdooku_health = config.cvar("sw_countdooku_health",   110, "Here you can set the Health of the Count Dooku Class")
sw_countdooku_speed = config.cvar("sw_countdooku_speed",   1.7, "Here you can set the Speed of the Count Dooku Class (From 0.1 to 1.9)")
sw_countdooku_armor = config.cvar("sw_countdooku_armor",   100, "Here you can set the Armor of the Count Dooku Class")
sw_countdooku_giveweapons = config.cvar("sw_countdooku_giveweapons",   'weapon_m4a1,weapon_deagle,weapon_hegrenade', "Here you can give the Class the Special Weapons (Split with (,)** Not Make Sure the weapon is not restricted for that class above)")



config.write()

################################Addon Infos##########################################
info = es.AddonInfo()                                                               #
info.name          = 'StarWars:Source'                                              #
info.version       = '1.5 A'                                                        #
info.basename      = 'sw_mod'                                                       #
info.url           = 'http://addons.eventscripts.com/addons/view/starwarssource'    #
info.author        = 'RoOF'                                                         #
es.ServerVar(info.basename, info.version, 'StarWars:Source').makepublic()           #
#####################################################################################

#####No EDIT HERE !


wanted_empire = {}          
empire_model_features = {}  
rebel_model_features = {}   
classname_dict = {}         
wanted_rebel = {} 
vaderlist = []
yodalist = []       
obiwanlist = []
ahsokalist = []
anakinlist = []
r2d2list = []
leialist = []
grievouslist = []
countdookulist = []
darthmaullist = []
restrictedList_1 = []       
restrictedList_2 = []       
restrictedList_3 = []       
restrictedList_4 = []       
restrictedList_5 = []
restrictedList_6 = []
restrictedList_7 = []
restrictedList_8 = []
restrictedList_9 = []
restrictedList_10 = []
restrictedList_11 = []
restrictedList_12 = []
restrictedList_13 = []
restrictedList_14 = []
restrictedList_15 = []
restrictedList_16 = []
restrictedList_17 = []
restrictedList_18 = []
restrictedList_19 = []
restrictedList_20 = []

rebelsoldiermodel = 'models/player/b4p/b4p_rebel/b4p_rebel.mdl'
wookiemodel = 'models/player/b4p/b4p_chewbacca/b4p_chewbacca.mdl'
jawamodel = 'models/player/b4p/b4p_jawa/b4p_jawa.mdl'
tuskenmodel = 'models/player/b4p/b4p_tusken/b4p_tusken.mdl'
c3pomodel = 'models/player/b4p/b4p_c3po/b4p_c3po.mdl'
yodamodel = 'models/player/b4p/b4p_yoda/b4p_yoda.mdl'
obiwanmodel = 'models/player/b4p/b4p_obiwan/obiwan.mdl'
ahsokamodel = 'models/player/b4p/b4p_ahsoka/ahsoka.mdl'
anikanmodel = 'models/player/b4p/b4p_anakin/anakin.mdl'
r2d2model = 'models/player/techknow/r2d2/r2d2.mdl'
leiamodel = 'models/player/b4p/b4p_leia/leia.mdl'


stormtroopermodel = 'models/player/b4p/b4p_stormt/b4p_stormt.mdl'
snowtroopermodel = 'models/player/b4p/b4p_snowtrooper/b4p_snowtrooper.mdl'
rodianmodel = 'models/player/b4p/b4p_rodian/b4p_rodian.mdl'
officermodel = 'models/player/b4p/b4p_imperial/b4p_imperial.mdl'
bobamodel = 'models/player/b4p/b4p_bobafett/b4p_bobafett.mdl'
vadermodel = 'models/player/b4p/b4p_vader/b4p_vader.mdl'
grievousmodel = 'models/player/b4p/b4p_grievous/grievous.mdl'
darthmaulmodel = 'models/player/b4p/b4p_darth_maul/darth_maul.mdl'
countdookumodel = 'models/player/b4p/b4p_count_dooku/count_dooku.mdl'


restrictedList_1 = str(sw_restricted_rebel).split(';')
restrictedList_2 = str(sw_restricted_wookie).split(';')
restrictedList_3 = str(sw_restricted_jawa).split(';')
restrictedList_4 = str(sw_restricted_tuske).split(';')
restrictedList_5 = str(sw_restricted_c3po).split(';')
restrictedList_6 = str(sw_restricted_yoda).split(';')
restrictedList_7 = str(sw_restricted_storm).split(';')
restrictedList_8 = str(sw_restricted_snow).split(';')
restrictedList_9 = str(sw_restricted_rodian).split(';')
restrictedList_10 = str(sw_restricted_officer).split(';')
restrictedList_11 = str(sw_restricted_boba).split(';')
restrictedList_12 = str(sw_restricted_vader).split(';')	
restrictedList_13 = str(sw_restricted_obiwan).split(';')
restrictedList_14 = str(sw_restricted_ahsoka).split(';')
restrictedList_15 = str(sw_restricted_anikan).split(';')
restrictedList_16 = str(sw_restricted_r2d2).split(';')
restrictedList_17 = str(sw_restricted_leia).split(';')
restrictedList_18 = str(sw_restricted_grievous).split(';')
restrictedList_19 = str(sw_restricted_darthmaul).split(';')
restrictedList_20 = str(sw_restricted_countdooku).split(';')


def load():
	global text
	download()
	es.doblock("corelib/noisy_on")
	config.execute()
	text = langlib.Strings(apath + "/strings.ini")
	es.addons.registerClientCommandFilter(restrict)
	for userid in es.getUseridList():
		disableAutokick(userid)

def unload():
	es.doblock("corelib/noisy_off")
	empire_model_features.clear()
	rebel_model_features.clear()
	wanted_empire.clear()
	wanted_empire.clear()
	classname_dict.clear()
	del vaderlist[:]
	del yodalist[:]
	es.addons.unregisterClientCommandFilter(restrict)

def player_activate(ev):
	disableAutokick(int(ev['userid']))

def disableAutokick(userid):
	es.server.mp_disable_autokick(userid)
	
def es_map_start(ev):
	download()

	
def jetpackMenu(userid):
	global jetPopup
	if popuplib.exists('jetPopup'):
		popuplib.delete('jetPopup') 
	jetPopup = popuplib.create('jetPopup')
	jetPopup.addline('Boba Fetts Jetpack\nMenu:')
	jetPopup.addline(' ')
	if playerlib.getPlayer(userid).get('jetpack') == 1:
		jetPopup.addline('->1. [Disable] Jetpack')
	else:
		jetPopup.addline('1. [Disable] Jetpack')
	jetPopup.addline(' ')
	jetPopup.addline('0. Exit')
	if sw_bobaJetsEnabled == 1:
		jetPopup.send(int(userid))
	jetPopup.menuselect = jetPopup_select

def rebelMenuShow2(userid, steam):
	global rebelPopup2
	if popuplib.exists('rebelPopup2'):
		popuplib.delete('rebelPopup2') 
	rebelPopup2 = popuplib.create('rebelPopup')
	rebelPopup2.addline('Choose a Class (Rebel):')
	rebelPopup2.addline(' ')
	if classname_dict.has_key(userid):
		rebelPopup2.addline('Your Current Class is: %s'% classname_dict[userid])
	rebelPopup2.addline(' ')
	if sw_jediModeEnabled == 1:
		d = len(anakinlist)
		if d != sw_jediAnakinTeamRistriction:
			rebelPopup2.addline('->1. Anakin (%s/%s in Use)' % (d, sw_jediAnakinTeamRistriction))
		else:
			rebelPopup2.addline('1. Anakin (%s/%s in Use)' % (d, sw_jediAnakinTeamRistriction))
		e = len(r2d2list)
		if e != sw_jediR2d2TeamRistriction:
			rebelPopup2.addline('->2. R2D2 (%s/%s in Use)' % (e, sw_jediR2d2TeamRistriction))
		else:
			rebelPopup2.addline('2. R2D2 (%s/%s in Use)' % (e, sw_jediR2d2TeamRistriction))
		f = len(leialist)
		if f != sw_jediLeiaTeamRistriction:
			rebelPopup2.addline('->3. Leia (%s/%s in Use)' % (f, sw_jediLeiaTeamRistriction))
		else:
			rebelPopup2.addline('3. Leia (%s/%s in Use)' % (f, sw_jediLeiaTeamRistriction))
	rebelPopup2.addline(' ')
	rebelPopup2.addline('->8. Back')
	rebelPopup2.addline('0. Exit')
	rebelPopup2.send(int(userid))
	rebelPopup2.menuselect = rebelPopup_select2
	
def rebelMenuShow(userid, steam):
	global rebelPopup
	if popuplib.exists('rebelPopup'):
		popuplib.delete('rebelPopup') 
	rebelPopup = popuplib.create('rebelPopup')
	rebelPopup.addline('Choose a Class (Rebel):')
	rebelPopup.addline(' ')
	if classname_dict.has_key(userid):
		rebelPopup.addline('Your Current Class is: %s'% classname_dict[userid])
	rebelPopup.addline(' ')
	rebelPopup.addline('->1. Rebel Soldier')
	rebelPopup.addline('->2. Wookie')
	rebelPopup.addline('->3. Jawa')
	rebelPopup.addline('->4. Tusken Raider')
	rebelPopup.addline('->5. C3PO')
	if sw_jediModeEnabled == 1:
		a = len(yodalist)
		if a != sw_jediYodaTeamRistriction:
			rebelPopup.addline('->6. Yoda (%s/%s in Use)' % (a, sw_jediYodaTeamRistriction))
		else:
			rebelPopup.addline('6. Yoda (%s/%s in Use)' % (a, sw_jediYodaTeamRistriction))
		b = len(obiwanlist)
		if b != sw_jediObiwanTeamRistriction:
			rebelPopup.addline('->7. Obiwan (%s/%s in Use)' % (b, sw_jediObiwanTeamRistriction))
		else:
			rebelPopup.addline('7. Obiwan (%s/%s in Use)' % (b, sw_jediObiwanTeamRistriction))
		c = len(ahsokalist)
		if c != sw_jediAhsokaTeamRistriction:
			rebelPopup.addline('->8. Ahsoka (%s/%s in Use)' % (c, sw_jediAhsokaTeamRistriction))
		else:
			rebelPopup.addline('8. Ahsoka (%s/%s in Use)' % (c, sw_jediAhsokaTeamRistriction))
	rebelPopup.addline(' ')
	if sw_jediModeEnabled == 1:
		rebelPopup.addline('->9. Next')
	rebelPopup.addline('0. Exit')
	rebelPopup.send(int(userid))
	rebelPopup.menuselect = rebelPopup_select
	
	
def adminMenu(userid):
	global sw_jediModeEnabled,adminPopup,sw_bobaJetsEnabled,sw_randomclasses,sw_showmenuoneveryspawn,sw_weaponSoundsEnabled,sw_charSoundsEnabled,sw_lasers_enabled,sw_jabbaLaughEnabled
	if popuplib.exists('adminPopup'):
		popuplib.delete('adminPopup') 
	adminPopup = popuplib.create('adminPopup')
	adminPopup.addline('Admin Menu:')
	adminPopup.addline(' ')
	if sw_jediModeEnabled == 1:
		adminPopup.addline('->1. Disable Jedi Mode')
	else:
		adminPopup.addline('->1. Enable Jedi Mode')
	if sw_bobaJetsEnabled == 1:
		adminPopup.addline('->2. Disable Bobas Jet')
	else:
		adminPopup.addline('->2. Enable Bobas Jet')
	if sw_randomclasses == 1:
		adminPopup.addline('->3. Disable RandomClasses')
	else:
		adminPopup.addline('->3. Enable RandomClasses')
	if sw_showmenuoneveryspawn == 1:
		adminPopup.addline('->4. Disable Menu Show on Spawn')
	else:
		adminPopup.addline('->4. Enable Menu Show on Spawn')
	if  sw_weaponSoundsEnabled == 1:
		adminPopup.addline('->5. Disable Weaponsounds')
	else:
		adminPopup.addline('->5. Enable Weaponsounds')
	if  sw_charSoundsEnabled == 1:
		adminPopup.addline('->6. Disable Death Sounds')
	else:
		adminPopup.addline('->6. Enable Death Sounds')
	if sw_lasers_enabled == 1:
		adminPopup.addline('->7. Disable Laser')
	else:
		adminPopup.addline('->7. Enable Laser')
	if sw_jabbaLaughEnabled == 1:
		adminPopup.addline('->8. Disable Jabbas Laught')
	else:
		adminPopup.addline('->8. Enable Jabbas Laught')
	adminPopup.addline(' ')
	adminPopup.addline('0. Exit')
	adminPopup.send(userid)
	adminPopup.menuselect = adminPopup_select
	
def adminPopup_select(userid, choice, popupid):
	global sw_jediModeEnabled,sw_bobaJetsEnabled,sw_randomclasses,sw_showmenuoneveryspawn,sw_weaponSoundsEnabled,sw_charSoundsEnabled,sw_lasers_enabled,sw_jabbaLaughEnabled
	player = playerlib.getPlayer(userid)
	es.playsound(userid, "buttons/button14.wav", 1.0)
	if choice == 1:
		if sw_jediModeEnabled == 1:
			sw_jediModeEnabled = 0
			es.msg('#multi', text('admin',{'feature': 'Jedi Mode','status': 'disabled'},player.get('lang')))
		else:
			sw_jediModeEnabled = 1
			es.msg('#multi', text('admin',{'feature': 'Jedi Mode','status': 'activated'},player.get('lang')))
		adminMenu(userid)
	elif choice == 2:
		if sw_bobaJetsEnabled == 1:
			sw_bobaJetsEnabled = 0
			es.msg('#multi', text('admin',{'feature': 'Boba Fetts Jetpack','status': 'disabled'},player.get('lang')))
		else:
			sw_bobaJetsEnabled = 1
			es.msg('#multi', text('admin',{'feature': 'Boba Fetts Jetpack','status': 'activated'},player.get('lang')))
		adminMenu(userid)
	elif choice == 3:
		if sw_randomclasses == 1:
			sw_randomclasses = 0
			es.msg('#multi', text('admin',{'feature': 'Random Classes','status': 'disabled'},player.get('lang')))
		else:
			sw_randomclasses = 1
			es.msg('#multi', text('admin',{'feature': 'Random Classes','status': 'activated'},player.get('lang')))
		adminMenu(userid)
	elif choice == 4:
		if sw_showmenuoneveryspawn == 1:
			sw_showmenuoneveryspawn = 0
			es.msg('#multi', text('admin',{'feature': 'Show the Menu on Every Spawn','status': 'disabled'},player.get('lang')))
		else:
			sw_showmenuoneveryspawn = 1
			es.msg('#multi', text('admin',{'feature': 'Show the Menu on Every Spawn','status': 'activated'},player.get('lang')))
		adminMenu(userid)
	elif choice == 5:
		if sw_weaponSoundsEnabled == 1:
			sw_weaponSoundsEnabled = 0
			es.msg('#multi', text('admin',{'feature': 'Weapons Sounds','status': 'disabled'},player.get('lang')))
		else:
			sw_weaponSoundsEnabled = 1
			es.msg('#multi', text('admin',{'feature': 'Weapons Sounds','status': 'activated'},player.get('lang')))
		adminMenu(userid)
	elif choice == 6:
		if sw_charSoundsEnabled == 1:
			sw_charSoundsEnabled = 0
			es.msg('#multi', text('admin',{'feature': 'Char Sounds','status': 'disabled'},player.get('lang')))
		else:
			sw_charSoundsEnabled = 1
			es.msg('#multi', text('admin',{'feature': 'Char Sounds','status': 'activated'},player.get('lang')))
		adminMenu(userid)
	elif choice == 7:
		if sw_lasers_enabled == 1:
			sw_lasers_enabled = 0
			es.msg('#multi', text('admin',{'feature': 'Lasers','status': 'disabled'},player.get('lang')))
		else:
			sw_lasers_enabled = 1
			es.msg('#multi', text('admin',{'feature': 'Lasers','status': 'activated'},player.get('lang')))
		adminMenu(userid)
	elif choice == 8:
		if sw_jabbaLaughEnabled == 1:
			sw_jabbaLaughEnabled = 0
			es.msg('#multi', text('admin',{'feature': 'Jabbas Laugh','status': 'disabled'},player.get('lang')))
		else:
			sw_jabbaLaughEnabled = 1
			es.msg('#multi', text('admin',{'feature': 'Jabbas Laugh','status': 'activated'},player.get('lang')))
		adminMenu(userid)

	
def empireMenuShow(userid, steam):
	global empirePopup
	if popuplib.exists('empirePopup'):
		popuplib.delete('empirePopup') 
	empirePopup = popuplib.create('empirePopup')
	empirePopup.addline('Choose a Class (Empire):')
	empirePopup.addline(' ')
	if classname_dict.has_key(userid):
		empirePopup.addline('Your Current Class is: %s'% classname_dict[userid])
	empirePopup.addline(' ')
	empirePopup.addline('->1. Storm Trooper')
	empirePopup.addline('->2. Snow Trooper')
	empirePopup.addline('->3. Rodian')
	empirePopup.addline('->4. Imperial Officer')
	empirePopup.addline('->5. Boba Fett')
	if sw_jediModeEnabled == 1:
		a = len(vaderlist)
		if a != sw_jediVaderTeamRistriction:
			empirePopup.addline('->6. Darth Vader (%s/%s in Use)' % (a, sw_jediVaderTeamRistriction))
		else:
			empirePopup.addline('6. Darth Vader (%s/%s in Use)' % (a, sw_jediVaderTeamRistriction))
		b = len(grievouslist)
		if b != sw_jediGrievousTeamRistriction:
			empirePopup.addline('->7. Grievous (%s/%s in Use)' % (b, sw_jediGrievousTeamRistriction))
		else:
			empirePopup.addline('7. Grievous (%s/%s in Use)' % (b, sw_jediGrievousTeamRistriction)) 
		c = len(darthmaullist)
		if c != sw_jediDarthmaulTeamRistriction:
			empirePopup.addline('->8. Darth Maul (%s/%s in Use)' % (c, sw_jediDarthmaulTeamRistriction))
		else:
			empirePopup.addline('8. Darth Maul (%s/%s in Use)' % (c, sw_jediDarthmaulTeamRistriction)) 
		d = len(countdookulist)
		if d != sw_jediCountDookuTeamRistriction:
			empirePopup.addline('->9. Count Dooku (%s/%s in Use)' % (c, sw_jediCountDookuTeamRistriction))
		else:
			empirePopup.addline('9. Count Dooku (%s/%s in Use)' % (c, sw_jediCountDookuTeamRistriction))
	empirePopup.addline(' ')
	empirePopup.addline('0. Exit')
	empirePopup.send(int(userid))
	empirePopup.menuselect = empirePopup_select
	

def drop(userid):
	gamethread.delayed(.1, es.server.insertcmd, 'es_xfire %s player_weaponstrip kill' % userid)
	gamethread.delayed(.1, es.server.insertcmd, 'es_xgive %s player_weaponstrip' % userid)
	gamethread.delayed(.1, es.server.insertcmd, 'es_xfire %s player_weaponstrip strip' % userid)
	es.delayed(0.4,'es_xgive %s %s' % (userid, "weapon_knife"))
	
	
def rebelPopup_select(userid, choice, popupid):
	steam = es.getplayersteamid(userid)
	player = playerlib.getPlayer(userid)
	es.playsound(userid, "buttons/button14.wav", 1.0)
	if not wanted_rebel.has_key(steam):
		wanted_rebel[steam] = 0
	if not rebel_model_features.has_key(steam):
		rebel_model_features[steam] = 0
	if choice == 1:
		wanted_rebel[steam] = rebelsoldiermodel
		classname_dict[userid] = 'Rebel'
		rebel_model_features[steam] = 1
		change_skin_rebel(userid,steam)
		remover(steam)
		if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
			drop(userid)
			for h in str(sw_rebel_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 2:
		wanted_rebel[steam] = wookiemodel
		classname_dict[userid] = 'Wookie'
		rebel_model_features[steam] = 2
		change_skin_rebel(userid,steam)
		remover(steam)
		if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
			drop(userid)
			for h in str(sw_wookie_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 3:
		wanted_rebel[steam] = jawamodel
		classname_dict[userid] = 'Jawa'
		rebel_model_features[steam] = 3
		change_skin_rebel(userid,steam)
		remover(steam)
		if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
			drop(userid)
			for h in str(sw_jawa_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 4:
		wanted_rebel[steam] = tuskenmodel
		classname_dict[userid] = 'Tuske'
		rebel_model_features[steam] = 4
		change_skin_rebel(userid,steam)
		remover(steam)
		if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
			drop(userid)
			for h in str(sw_tuske_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 5:
		wanted_rebel[steam] = c3pomodel
		classname_dict[userid] = 'C3PO'
		rebel_model_features[steam] = 5
		change_skin_rebel(userid,steam)
		remover(steam)
		if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
			drop(userid)
			for h in str(sw_c3po_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 6:
		if sw_jediModeEnabled == 1:
			if len(yodalist) != sw_jediYodaTeamRistriction:
				remover(steam)
				wanted_rebel[steam] = yodamodel
				if steam not in yodalist:
					yodalist.append(steam)
				classname_dict[userid] = 'Yoda'
				rebel_model_features[steam] = 6
				change_skin_rebel(userid,steam)
				if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
					drop(userid)
					for h in str(sw_yoda_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
			else:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('note',{'v1': sw_jediYodaTeamRistriction},player.get('lang')))
				rebelMenuShow(userid, steam)
	elif choice == 7:
		if sw_jediModeEnabled == 1:
			if len(obiwanlist) != sw_jediObiwanTeamRistriction:
				remover(steam)
				wanted_rebel[steam] = obiwanmodel
				if steam not in obiwanlist:
					obiwanlist.append(steam)
				classname_dict[userid] = 'Obi Wan'
				rebel_model_features[steam] = 7
				change_skin_rebel(userid,steam)
				if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
					drop(userid)
					for h in str(sw_obiwan_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
			else:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('note',{'v1': sw_jediObiwanTeamRistriction},player.get('lang')))
				rebelMenuShow(userid, steam)
	elif choice == 8:
		if sw_jediModeEnabled == 1:
			if len(ahsokalist) != sw_jediAhsokaTeamRistriction:
				remover(steam)
				wanted_rebel[steam] = obiwanmodel
				if steam not in ahsokalist:
					ahsokalist.append(steam)
				classname_dict[userid] = 'Ahsoka'
				rebel_model_features[steam] = 8
				change_skin_rebel(userid,steam)
				if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
					drop(userid)
					for h in str(sw_ahsoka_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
			else:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('note',{'v1': sw_jediAhsokaTeamRistriction},player.get('lang')))
				rebelMenuShow(userid, steam)
	elif choice == 9:
		if sw_jediModeEnabled == 1:
			rebelMenuShow2(userid, steam)
		
def rebelPopup_select2(userid, choice, popupid):
	steam = es.getplayersteamid(userid)
	player = playerlib.getPlayer(userid)
	es.playsound(userid, "buttons/button14.wav", 1.0)
	if not wanted_rebel.has_key(steam):
		wanted_rebel[steam] = 0
	if not rebel_model_features.has_key(steam):
		rebel_model_features[steam] = 0
	if choice == 1:
		if sw_jediModeEnabled == 1:
			if len(anakinlist) != sw_jediAnakinTeamRistriction:
				remover(steam)
				wanted_rebel[steam] = anikanmodel
				if steam not in anakinlist:
					anakinlist.append(steam)
				classname_dict[userid] = 'Anikan'
				rebel_model_features[steam] = 9
				change_skin_rebel(userid,steam)
				if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
					drop(userid)
					for h in str(sw_anikan_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
			else:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('note',{'v1': sw_jediAnakinTeamRistriction},player.get('lang')))
				rebelMenuShow(userid, steam)
	elif choice == 2:
		if sw_jediModeEnabled == 1:
			if len(r2d2list) != sw_jediR2d2TeamRistriction:
				remover(steam)
				wanted_rebel[steam] = r2d2model
				if steam not in r2d2list:
					r2d2list.append(steam)
				classname_dict[userid] = 'R2D2'
				rebel_model_features[steam] = 10
				change_skin_rebel(userid,steam)
				if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
					drop(userid)
					for h in str(sw_r2d2_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
			else:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('note',{'v1': sw_jediR2d2TeamRistriction},player.get('lang')))
				rebelMenuShow(userid, steam)
	elif choice == 3:
		if sw_jediModeEnabled == 1:
			if len(leialist) != sw_jediLeiaTeamRistriction:
				remover(steam)
				wanted_rebel[steam] = leiamodel
				if steam not in leialist:
					leialist.append(steam)
				classname_dict[userid] = 'Leia'
				rebel_model_features[steam] = 11
				change_skin_rebel(userid,steam)
				if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
					drop(userid)
					for h in str(sw_leia_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
			else:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('note',{'v1': sw_jediLeiaTeamRistriction},player.get('lang')))
				rebelMenuShow(userid, steam)
	elif choice == 8:
		rebelMenuShow(userid, steam)

def remover(steam):
	if steam in yodalist:
		yodalist.remove(steam)
	if steam in vaderlist:
		vaderlist.remove(steam)
	if steam in obiwanlist:
		obiwanlist.remove(steam)
	if steam in ahsokalist:
		ahsokalist.remove(steam)
	if steam in anakinlist:
		anakinlist.remove(steam)
	if steam in r2d2list:
		r2d2list.remove(steam)
	if steam in leialist:
		leialist.remove(steam)
	if steam in grievouslist:
		grievouslist.remove(steam)
	if steam in countdookulist:
		countdookulist.remove(steam)
	if steam in darthmaullist:
		darthmaullist.remove(steam)

def empirePopup_select(userid, choice, popupid):
	player = playerlib.getPlayer(userid)
	steam = es.getplayersteamid(userid)
	es.playsound(userid, "buttons/button14.wav", 1.0)
	if not wanted_empire.has_key(steam):
		wanted_empire[steam] = 0
	if not empire_model_features.has_key(steam):
		empire_model_features[steam] = 0
	if choice == 1:
		wanted_empire[steam] = stormtroopermodel
		classname_dict[userid] = 'Stormtrooper'
		empire_model_features[steam] = 1
		change_skin_empire(userid,steam)
		remover(steam)
		if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
			drop(userid)
			for h in str(sw_storm_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 2:
		wanted_empire[steam] = snowtroopermodel
		classname_dict[userid] = 'Snowtrooper'
		empire_model_features[steam] = 2
		change_skin_empire(userid,steam)
		remover(steam)
		if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
			drop(userid)
			for h in str(sw_snow_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 3:
		wanted_empire[steam] = rodianmodel
		classname_dict[userid] = 'Rodian'
		empire_model_features[steam] = 3
		change_skin_empire(userid,steam)
		remover(steam)
		if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
			drop(userid)
			for h in str(sw_rodian_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 4:
		wanted_empire[steam] = officermodel
		classname_dict[userid] = 'Officer'
		empire_model_features[steam] = 4
		change_skin_empire(userid,steam)
		remover(steam)
		if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
			drop(userid)
			for h in str(sw_officer_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 5:
		wanted_empire[steam] = bobamodel
		classname_dict[userid] = 'Boba Fett'
		empire_model_features[steam] = 5
		change_skin_empire(userid,steam)
		remover(steam)
		if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
			drop(userid)
			for h in str(sw_boba_giveweapons).split(','):
				es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
	elif choice == 6:
		if sw_jediModeEnabled == 1:
			if len(vaderlist) != sw_jediVaderTeamRistriction:
				remover(steam)
				wanted_empire[steam] = vadermodel
				if steam not in vaderlist:
					vaderlist.append(steam)
				classname_dict[userid] = 'Vader'
				empire_model_features[steam] = 6
				change_skin_empire(userid,steam)
				if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
					drop(userid)
					for h in str(sw_vader_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
			else:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('note',{'v1': sw_jediVaderTeamRistriction},player.get('lang')))
				empireMenuShow(userid, steam)
	elif choice == 7:
		if sw_jediModeEnabled == 1:
			if len(grievouslist) != sw_jediGrievousTeamRistriction:
				remover(steam)
				wanted_empire[steam] = grievousmodel
				if steam not in grievouslist:
					vaderlist.append(steam)
				classname_dict[userid] = 'Grievous'
				empire_model_features[steam] = 7
				change_skin_empire(userid,steam)
				if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
					drop(userid)
					for h in str(sw_grievous_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
			else:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('note',{'v1': sw_jediGrievousTeamRistriction},player.get('lang')))
				empireMenuShow(userid, steam)
	elif choice == 8:
		if sw_jediModeEnabled == 1:
			if len(darthmaullist) != sw_jediDarthmaulTeamRistriction:
				remover(steam)
				wanted_empire[steam] = darthmaulmodel
				if steam not in darthmaullist:
					darthmaullist.append(steam)
				classname_dict[userid] = 'Darth Maul'
				empire_model_features[steam] = 8
				change_skin_empire(userid,steam)
				if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
					drop(userid)
					for h in str(sw_darthmaul_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
			else:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('note',{'v1': sw_jediDarthmaulTeamRistriction},player.get('lang')))
				empireMenuShow(userid, steam) 
	elif choice == 9:
		if sw_jediModeEnabled == 1:
			if len(countdookulist) != sw_jediCountDookuTeamRistriction:
				remover(steam)
				wanted_empire[steam] = countdookumodel
				if steam not in countdookulist:
					countdookulist.append(steam)
				classname_dict[userid] = 'Count Dooku'
				empire_model_features[steam] = 9
				change_skin_empire(userid,steam)
				if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
					drop(userid)
					for h in str(sw_countdooku_giveweapons).split(','):
						es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
			else:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('note',{'v1': sw_jediCountDookuTeamRistriction},player.get('lang')))
				empireMenuShow(userid, steam)

			
def jetPopup_select(userid, choice, popupid):
	player = playerlib.getPlayer(userid)
	es.playsound(userid, "buttons/button14.wav", 1.0)
	if choice == 1:
		if player.get('jetpack') == 1:
			player.set('jetpack', 0)



	
def change_skin_rebel(userid, steam):
	player = playerlib.getPlayer(userid)
	if rebel_model_features.has_key(steam):
		playerlib.getPlayer(userid).setModel(wanted_rebel[steam])
		if rebel_model_features[steam] == 1:
			player.health = sw_rebel_health
			player.speed = sw_rebel_speed
			player.armor = sw_rebel_armor
		elif rebel_model_features[steam] == 2:
			player.health = sw_wookie_health
			player.speed = sw_wookie_speed
			player.armor = sw_wookie_armor
		elif rebel_model_features[steam] == 3:
			player.health = sw_jawa_health
			player.speed = sw_jawa_speed
			player.armor = sw_jawa_armor
		elif rebel_model_features[steam] == 4:
			player.health = sw_tuske_health
			player.speed = sw_tuske_speed
			player.armor = sw_tuske_armor
		elif rebel_model_features[steam] == 5:
			player.health = sw_c3po_health
			player.speed = sw_c3po_speed
			player.armor = sw_c3po_armor
		elif rebel_model_features[steam] == 6:
			player.health = sw_yoda_health
			player.speed = sw_yoda_speed
			player.armor = sw_yoda_armor
		elif rebel_model_features[steam] == 7:
			player.health = sw_obiwan_health
			player.speed = sw_obiwan_speed
			player.armor = sw_obiwan_armor
		elif rebel_model_features[steam] == 8:
			player.health = sw_ahsoka_health
			player.speed = sw_ahsoka_speed
			player.armor = sw_ahsoka_armor
		elif rebel_model_features[steam] == 9:
			player.health = sw_anikan_health
			player.speed = sw_anikan_speed
			player.armor = sw_anikan_armor
		elif rebel_model_features[steam] == 10:
			player.health = sw_r2d2_health
			player.speed = sw_r2d2_speed
			player.armor = sw_r2d2_armor
		elif rebel_model_features[steam] == 11:
			player.health = sw_leia_health
			player.speed = sw_leia_speed
			player.armor = sw_leia_armor
		if sw_jediModeEnabled == 0:
			if rebel_model_features.has_key(steam):
				if rebel_model_features[steam] == 6 or rebel_model_features[steam] == 7 or rebel_model_features[steam] == 8 or rebel_model_features[steam] == 9 or rebel_model_features[steam] == 10 or rebel_model_features[steam] == 11:
					randomclasshb = random.randint(1, 5)
					if randomclasshb == 1:
						rebel_model_features[steam] = 1
						wanted_rebel[steam] = rebelsoldiermodel
						classname_dict[userid] = 'Rebel'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclasshb == 2:
						rebel_model_features[steam] = 2
						wanted_rebel[steam] = wookiemodel
						classname_dict[userid] = 'Wookie'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclasshb == 3:
						rebel_model_features[steam] = 3
						wanted_rebel[steam] = jawamodel
						classname_dict[userid] = 'Jawa'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclasshb == 4:
						rebel_model_features[steam] = 4
						wanted_rebel[steam] = tuskenmodel
						classname_dict[userid] = 'Tuske'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclasshb == 5:
						rebel_model_features[steam] = 5
						wanted_rebel[steam] = c3pomodel
						classname_dict[userid] = 'C3PO'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))

def player_hurt(ev):
	steam = ev['es_attackersteamid']
	userid = int(ev['userid'])
	attacker = int(ev['attacker'])
	if attacker != 0:
		player = playerlib.getPlayer(attacker)
		if sw_more_damage_for_jedi == 1:
			if ev['weapon'] == 'knife':
				if rebel_model_features.has_key(steam):
					if rebel_model_features[steam] == 6 or rebel_model_features[steam] == 7 or rebel_model_features[steam] == 8 or rebel_model_features[steam] == 9 or rebel_model_features[steam] == 10 or rebel_model_features[steam] == 11:
						playerlib.getPlayer(userid).health -= int(sw_jedi_damage_by_knife)
						es.tell(attacker, '#multi', text('moredmg1',{'v1': sw_jedi_damage_by_knife},player.get('lang')))
						es.tell(userid, '#multi', text('moredmg2',{'v1': sw_jedi_damage_by_knife},playerlib.getPlayer(userid).get('lang')))
				if empire_model_features.has_key(steam):
					if empire_model_features[steam] == 6 or empire_model_features[steam] == 7 or empire_model_features[steam] == 8 or empire_model_features[steam] == 9:
						playerlib.getPlayer(userid).health -= int(sw_jedi_damage_by_knife)
						es.tell(attacker, '#multi', text('moredmg1',{'v1': sw_jedi_damage_by_knife},player.get('lang')))
						es.tell(userid, '#multi', text('moredmg2',{'v1': sw_jedi_damage_by_knife},playerlib.getPlayer(userid).get('lang')))
	
def change_skin_empire(userid, steam):
	player = playerlib.getPlayer(userid)
	if empire_model_features.has_key(steam):
		playerlib.getPlayer(userid).setModel(wanted_empire[steam])
		if empire_model_features[steam] == 1:
			player.health = sw_storm_health
			player.speed = sw_storm_speed
			player.armor = sw_storm_armor
		elif empire_model_features[steam] == 2:
			player.health = sw_snow_health
			player.speed = sw_snow_speed
			player.armor = sw_snow_armor
		elif empire_model_features[steam] == 3:
			player.health = sw_rodian_health
			player.speed = sw_rodian_speed
			player.armor = sw_rodian_armor
		elif empire_model_features[steam] == 4:
			player.health = sw_officer_health
			player.speed = sw_officer_speed
			player.armor = sw_officer_armor
		elif empire_model_features[steam] == 5:
			player.health = sw_boba_health
			player.speed = sw_boba_speed
			player.armor = sw_boba_armor
		elif empire_model_features[steam] == 6:
			player.health = sw_vader_health
			player.speed = sw_vader_speed
			player.armor = sw_vader_armor
		elif empire_model_features[steam] == 7:
			player.health = sw_grievous_health
			player.speed = sw_grievous_speed
			player.armor = sw_grievous_armor
		elif empire_model_features[steam] == 8:
			player.health = sw_darthmaul_health
			player.speed = sw_darthmaul_speed
			player.armor = sw_darthmaul_armor
		elif empire_model_features[steam] == 9:
			player.health = sw_countdooku_health
			player.speed = sw_countdooku_speed
			player.armor = sw_countdooku_armor
		if sw_jediModeEnabled == 0:
			if empire_model_features.has_key(steam):
				if empire_model_features[steam] == 6 or empire_model_features[steam] == 7 or empire_model_features[steam] == 8 or empire_model_features[steam] == 9:
					randomclassch = random.randint(1, 5)
					if randomclassch == 1:
						empire_model_features[steam] = 1
						wanted_empire[steam] = stormtroopermodel
						classname_dict[userid] = 'Stormtrooper'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclassch == 2:
						empire_model_features[steam] = 2
						wanted_empire[steam] = snowtroopermodel
						classname_dict[userid] = 'Snowtrooper'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclassch == 3:
						empire_model_features[steam] = 3
						wanted_empire[steam] = rodianmodel 
						classname_dict[userid] = 'Rodian'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclassch == 4:
						empire_model_features[steam] = 4
						wanted_empire[steam] = officermodel
						classname_dict[userid] = 'Officer'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					elif randomclassch == 5:
						empire_model_features[steam] = 5
						wanted_empire[steam] = bobamodel
						classname_dict[userid] = 'Boba Fett'
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))

					
	
def player_disconnect(ev):
	steam = ev['networkid']
	userid = int(ev['userid'])
	if empire_model_features.has_key(steam):
		del empire_model_features[steam]
	if rebel_model_features.has_key(steam):
		del rebel_model_features[steam]
	if wanted_empire.has_key(steam):
		del wanted_empire[steam]
	if wanted_empire.has_key(steam):
		del wanted_empire[steam]
	if classname_dict.has_key(userid):
		del classname_dict[userid]
	remover(steam)
	
			
def weapon_fire(ev):
	global weaponvector
	userid = int(ev['userid'])
	if ev['weapon'] == 'knife':
		if sw_weaponSoundsEnabled == 1:
			randomknifesound = random.randint(1, 4)
			if randomknifesound == 1:
				es.emitsound("player", userid, "sw/weapons/saber/saberhup1.mp3", 1.0, 0.5)
			elif randomknifesound == 2:
				es.emitsound("player", userid, "sw/weapons/saber/saberhup2.mp3", 1.0, 0.5)
			elif randomknifesound == 3:
				es.emitsound("player", userid, "sw/weapons/saber/saberhup3.mp3", 1.0, 0.5)
			elif randomknifesound == 4:
				es.emitsound("player", userid, "sw/weapons/saber/saberhup4.mp3", 1.0, 0.5)
	x,y,z = es.getplayerlocation(userid)
	if es.getplayerprop(userid, 'CBasePlayer.localdata.m_Local.m_bDucked') % 2:
		z = z + 44
	else:
		z = z + 64
	weaponvector = es.createvectorstring(x,y,z)
	
def player_death(ev):
	userid = int(ev['userid'])
	steam = ev['es_steamid']
	if sw_charSoundsEnabled == 1:
		if rebel_model_features.has_key(steam):
			if rebel_model_features[steam] == 2:
				soundchew1 = random.randint(1, 3)
				if soundchew1 == 1:
					es.emitsound("player", userid, "sw/char/chewbacca/death1.mp3", 1.0, 0.5)
				elif soundchew1 == 2:
					es.emitsound("player", userid, "sw/char/chewbacca/death2.mp3", 1.0, 0.5)
				elif soundchew1 == 3:
					es.emitsound("player", userid, "sw/char/chewbacca/death3.mp3", 1.0, 0.5)
			elif rebel_model_features[steam] == 3:
				soundjawa1 = random.randint(1, 3)
				if soundjawa1 == 1:
					es.emitsound("player", userid, "sw/char/jawa/death1.mp3", 1.0, 0.5)
				elif soundjawa1 == 2:
					es.emitsound("player", userid, "sw/char/jawa/death2.mp3", 1.0, 0.5)
				elif soundjawa1 == 3:
					es.emitsound("player", userid, "sw/char/jawa/death3.mp3", 1.0, 0.5)
			elif rebel_model_features[steam] == 4:
				soundtus1 = random.randint(1, 2)
				if soundtus1 == 1:
					es.emitsound("player", userid, "sw/char/tusken/death1.mp3", 1.0, 0.5)
				elif soundtus1 == 2:
					es.emitsound("player", userid, "sw/char/tusken/death2.mp3", 1.0, 0.5)
		if int(ev['headshot']):
			if rebel_model_features.has_key(steam):
				if rebel_model_features[steam] == 2:
					soundchew2 = random.randint(1, 2)
					if soundchew2 == 1:
						es.emitsound("player", userid, "sw/char/chewbacca/taunt.mp3", 1.0, 0.5)
					elif soundchew2 == 2:
						es.emitsound("player", userid, "sw/char/chewbacca/victory1.mp3", 1.0, 0.5)
				elif rebel_model_features[steam] == 3:
					soundjawa2 = random.randint(1, 3)
					if soundjawa2 == 1:
						es.emitsound("player", userid, "sw/char/jawa/jawa1.wav", 1.0, 0.5)
					elif soundjawa2 == 2:
						es.emitsound("player", userid, "sw/char/jawa/victory2.mp3", 1.0, 0.5)
				elif rebel_model_features[steam] == 4:
					soundtus2 = random.randint(1, 4)
					if soundtus2 == 1:
						es.emitsound("player", userid, "sw/char/tusken/anger1.mp3", 1.0, 0.5)
					elif soundtus2 == 2:
						es.emitsound("player", userid, "sw/char/tusken/anger2.mp3", 1.0, 0.5)
					elif soundtus2 == 3:
						es.emitsound("player", userid, "sw/char/tusken/taunt.mp3", 1.0, 0.5)
					elif soundtus2 == 4:
						es.emitsound("player", userid, "sw/char/tusken/confuse1.mp3", 1.0, 0.5)
				elif rebel_model_features[steam] == 6:
					soundjod = random.randint(1, 2)
					if soundjod == 1:
						es.emitsound("player", userid, "sw/char/yoda/laugh1.wav", 1.0, 0.5)
					elif soundjod == 2:
						es.emitsound("player", userid, "sw/char/yoda/laugh2.wav", 1.0, 0.5)
					
def bullet_impact(ev):
	global SoundPlayed, weaponvector
	userid = int(ev['userid'])
	team = es.getplayerteam(userid)
	steam = ev['es_steamid']
	SoundPlayed = 0
	if empire_model_features.has_key(steam):
		if sw_weaponSoundsEnabled == 1:
			if empire_model_features[steam] == 6 or empire_model_features[steam] == 7 or empire_model_features[steam] == 8 or empire_model_features[steam] == 9:
				randomsound1 = random.randint(1, 4)
				if randomsound1 == 1:
					es.emitsound("player", userid, "sw/weapons/force/lightning.mp3", 1.0, 0.5)
				elif randomsound1 == 2:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit1.mp3", 1.0, 0.5)
				elif randomsound1 == 3:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit2.mp3", 1.0, 0.5)
				elif randomsound1 == 4:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit3.mp3", 1.0, 0.5)
				SoundPlayed = 1
	if rebel_model_features.has_key(steam):
		if sw_weaponSoundsEnabled == 1:
			if rebel_model_features[steam] == 6 or rebel_model_features[steam] == 7 or rebel_model_features[steam] == 8 or rebel_model_features[steam] == 9 or rebel_model_features[steam] == 10 or rebel_model_features[steam] == 11:
				randomsound2 = random.randint(1, 4)
				if randomsound2 == 1:
					es.emitsound("player", userid, "sw/weapons/force/lightning.mp3", 1.0, 0.5)
				elif randomsound2 == 2:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit1.mp3", 1.0, 0.5)
				elif randomsound2 == 3:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit2.mp3", 1.0, 0.5)
				elif randomsound2 == 4:
					es.emitsound("player", userid, "sw/weapons/force/lightninghit3.mp3", 1.0, 0.5)
				SoundPlayed = 1
	if SoundPlayed != 1:
		if sw_weaponSoundsEnabled == 1:
			randomsound3 = random.randint(1, 4)
			if randomsound3 == 1:
				es.emitsound("player", userid, "sw/weapons/blaster/fire.mp3", 1.0, 0.5)
			elif randomsound3 != 1:
				es.emitsound("player", userid, "sw/weapons/blaster/alt_fire.mp3", 1.0, 0.5)			
	weaponvector2 = es.createvectorstring(ev["x"],ev["y"],ev["z"])
	premodel = es.precachemodel(effecttype)
	if sw_lasers_enabled == 1:
		if team == 3:
			es.server.insertcmd("es_effect beam %s %s %s %s 0 0.2 0.1 6 6 0 0 0 0 255 255 100" % (weaponvector, weaponvector2, premodel, premodel))
		elif team == 2:
			es.server.insertcmd("es_effect beam %s %s %s %s  0 0.2 0.1 6 6 0 0 255 0 0 255 100" % (weaponvector, weaponvector2, premodel, premodel))
	
			
def player_team(ev):
	userid = int(ev['userid'])
	team = es.getplayerteam(int(userid))
	steam = es.getplayersteamid(userid)
	if team == 2:
		rebelMenuShow(userid, steam)
		if empire_model_features.has_key(steam):
			del empire_model_features[steam]
	if team == 3:
		empireMenuShow(userid, steam)
		if rebel_model_features.has_key(steam):
			del rebel_model_features[steam]

			
def bomb_beginplant(ev):
	userid = int(ev['userid'])
	steam = ev['es_steamid']
	if rebel_model_features.has_key(steam):
		if rebel_model_features[steam] == 2:
			es.emitsound("player", userid, "sw/char/chewbacca/chewbacca1.wav", 1.0, 0.5)
		elif rebel_model_features[steam] == 3:
			es.emitsound("player", userid, "sw/char/jawa/chatter2.mp3", 1.0, 0.5)
		elif rebel_model_features[steam] == 4:
			es.emitsound("player", userid, "sw/char/tusken/confuse1.mp3", 1.0, 0.5)
			
		
		
def restrict(userid, args):
	steam = es.getplayersteamid(userid)
	player = playerlib.getPlayer(userid)
	if args[0].lower() == "buy":
		if rebel_model_features.has_key(steam):
			if rebel_model_features[steam] == 1:
				if args[1].lower() in restrictedList_1:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Rebel', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif rebel_model_features[steam] == 2:
				if args[1].lower() in restrictedList_2:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Wookie', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif rebel_model_features[steam] == 3:
				if args[1].lower() in restrictedList_3:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Jawa', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif rebel_model_features[steam] == 4:
				if args[1].lower() in restrictedList_4:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Tuske', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif rebel_model_features[steam] == 5:
				if args[1].lower() in restrictedList_5:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'C3PO', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif rebel_model_features[steam] == 6:
				if args[1].lower() in restrictedList_6:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Joda', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif rebel_model_features[steam] == 7:
				if args[1].lower() in restrictedList_13:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Obi Wan', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif rebel_model_features[steam] == 8:
				if args[1].lower() in restrictedList_14:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Ahsoka', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif rebel_model_features[steam] == 9:
				if args[1].lower() in restrictedList_15:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Anikan', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif rebel_model_features[steam] == 10:
				if args[1].lower() in restrictedList_16:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'R2D2', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif rebel_model_features[steam] == 11:
				if args[1].lower() in restrictedList_17:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Leia', 'v2': args[1].upper()},player.get('lang')))
					return False
		if wanted_empire.has_key(steam):
			if empire_model_features[steam] == 1:
				if args[1].lower() in restrictedList_7:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Stormtrooper', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif empire_model_features[steam] == 2:
				if args[1].lower() in restrictedList_8:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Snowtrooper', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif empire_model_features[steam] == 3:
				if args[1].lower() in restrictedList_9:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Rodian', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif empire_model_features[steam] == 4:
				if args[1].lower() in restrictedList_10:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Officer', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif empire_model_features[steam] == 5:
				if args[1].lower() in restrictedList_11:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Boba', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif empire_model_features[steam] == 6:
				if args[1].lower() in restrictedList_12:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Vader', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif empire_model_features[steam] == 7:
				if args[1].lower() in restrictedList_18:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Grievous', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif empire_model_features[steam] == 8:
				if args[1].lower() in restrictedList_19:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Darth Maul', 'v2': args[1].upper()},player.get('lang')))
					return False
			elif empire_model_features[steam] == 9:
				if args[1].lower() in restrictedList_20:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Count Dooku', 'v2': args[1].upper()},player.get('lang')))
					return False
	return True
	
def item_pickup(ev):
	item = ev['item']
	steam = ev['es_steamid']
	userid = int(ev['userid'])
	player = playerlib.getPlayer(userid)
	if rebel_model_features.has_key(steam):
		if rebel_model_features[steam] == 1:
			if item in restrictedList_1:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Rebel', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 2:
			if item in restrictedList_2:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Wookie', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 3:
			if item in restrictedList_3:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Jawa', 'v2': item.upper()},player.get('lang')))
					index = player.getWeaponIndex(item)
					if index:
						es.server.insertcmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 4:
			if item in restrictedList_4:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Tuske', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 5:
			if item in restrictedList_5:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'C3PO', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 6:
			if item in restrictedList_6:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Joda', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 7:
			if item in restrictedList_13:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Obi Wan', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 8:
			if item in restrictedList_14:
					es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
					es.tell(userid, '#multi', text('res',{'v1': 'Ahsoka', 'v2': item.upper()},player.get('lang')))
					index = player.getWeaponIndex(item)
					if index:
						es.server.insertcmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 9:
			if item in restrictedList_15:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Anikan', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 10:
			if item in restrictedList_16:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'R2D2"', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif rebel_model_features[steam] == 11:
			if item in restrictedList_17:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Leia', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
	if empire_model_features.has_key(steam):
		if empire_model_features[steam] == 1:
			if item in restrictedList_7:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Stormtrooper', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 2:
			if item in restrictedList_8:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Snowtrooper', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 3:
			if item in restrictedList_9:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Rodian', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 4:
			if item in restrictedList_10:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Officer', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 5:
			if item in restrictedList_11:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Boba', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 6:
			if item in restrictedList_12:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Vader', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 7:
			if item in restrictedList_18:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Grievous', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 8:
			if item in restrictedList_19:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Darth Maul', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)
		elif empire_model_features[steam] == 9:
			if item in restrictedList_20:
				es.playsound(userid, "buttons/weapon_cant_buy.wav", 1.0)
				es.tell(userid, '#multi', text('res',{'v1': 'Count Dooku', 'v2': item.upper()},player.get('lang')))
				index = player.getWeaponIndex(item)
				if index:
					es.server.insertcmd('es_xremove %s'% index)

	
def bomb_planted(ev):
	userid = int(ev['userid'])
	steam = ev['es_steamid']
	if rebel_model_features.has_key(steam):
		if rebel_model_features[steam] == 2:
			es.emitsound("player", userid, "sw/char/chewbacca/taunt.mp3", 1.0, 0.5)
		elif rebel_model_features[steam] == 3:
			es.emitsound("player", userid, "sw/char/jawa/victory2.mp3", 1.0, 0.5)
		elif rebel_model_features[steam] == 4:
			es.emitsound("player", userid, "sw/char/tusken/taunt.mp3", 1.0, 0.5)
		elif rebel_model_features[steam] == 6:
			es.emitsound("player", userid, "sw/char/yoda/laugh1.wav", 1.0, 0.5)

def bomb_exploded(ev):
	if sw_jabbaLaughEnabled == 1:
		for userid in es.getUseridList():
			gamethread.delayed(1, es.playsound,(userid, 'sw/char/jabba/laugh1.wav', 1.0))
			
def player_say(ev):
	userid = int(ev['userid'])
	team = es.getplayerteam(userid)
	steam = es.getplayersteamid(userid)
	text = ev['text']
	if userid != 0:
		player = playerlib.getPlayer(userid)
		if text == sw_force_command:
			if team == 2:
				rebelMenuShow(userid, steam)
			if team == 3:
				empireMenuShow(userid, steam)
		if text == sw_admin_force:
			if steam in str(sw_admins).split(','):
				adminMenu(userid)
			else:
				es.tell(userid, '#multi', text('notallowed',{},player.get('lang')))
		if text == sw_jetpack_force:
			if sw_bobaJetsEnabled == 1:
				if steam in empire_model_features:
					if empire_model_features[steam] == 5:
						jetpackMenu(userid)

	
def player_jump(ev):
	steam = ev['es_steamid']
	userid = int(ev['userid'])
	if sw_bobaJetsEnabled == 1:
		if steam in empire_model_features:
			if empire_model_features[steam] == 5:
				es.emitsound("player", userid, "sw/weapons/boba/bf_flame.mp3", 1.0, 0.5)
				playerlib.getPlayer(userid).set('jetpack', 1)
				if not popuplib.isqueued('jetPopup', userid):
					jetpackMenu(userid)

	
def player_spawn(ev):
	userid = int(ev['userid'])
	steam = ev['es_steamid']
	team = es.getplayerteam(userid)
	player = playerlib.getPlayer(userid)
	if team == 2:
		if wanted_rebel.has_key(steam):
			change_skin_rebel(userid ,steam)
			if sw_showmenuoneveryspawn == 1:
				rebelMenuShow(userid, steam)
			if rebel_model_features.has_key(steam):
				if rebel_model_features[steam] == 1:
					classname_dict[userid] = 'Rebel'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_rebel_health
					player.speed = sw_rebel_speed
					player.armor = sw_rebel_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_rebel_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif rebel_model_features[steam] == 2:
					classname_dict[userid] = 'Wookie'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_wookie_health
					player.speed = sw_wookie_speed
					player.armor = sw_wookie_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_wookie_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif rebel_model_features[steam] == 3:
					classname_dict[userid] = 'Jawa'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_jawa_health
					player.speed = sw_jawa_speed
					player.armor = sw_jawa_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_jawa_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif rebel_model_features[steam] == 4:
					classname_dict[userid] = 'Tuske'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_tuske_health
					player.speed = sw_tuske_speed
					player.armor = sw_tuske_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_tuske_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif rebel_model_features[steam] == 5:
					classname_dict[userid] = 'C3PO'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_c3po_health
					player.speed = sw_c3po_speed
					player.armor = sw_c3po_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_c3po_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				if sw_jediModeEnabled == 1:
					if rebel_model_features[steam] == 6:
						classname_dict[userid] = 'Yoda'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_yoda_health
						player.speed = sw_yoda_speed
						player.armor = sw_yoda_armor
						drop(userid)
						if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
							for h in str(sw_yoda_giveweapons).split(','):
								es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					elif rebel_model_features[steam] == 7:
						classname_dict[userid] = 'Obi Wan'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_obiwan_health
						player.speed = sw_obiwan_speed
						player.armor = sw_obiwan_armor
						drop(userid)
						if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
							for h in str(sw_obiwan_giveweapons).split(','):
								es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					elif rebel_model_features[steam] == 8:
						classname_dict[userid] = 'Ahsoka'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_ahsoka_health
						player.speed = sw_ahsoka_speed
						player.armor = sw_ahsoka_armor
						drop(userid)
						if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
							for h in str(sw_ahsoka_giveweapons).split(','):
								es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					elif rebel_model_features[steam] == 9:
						classname_dict[userid] = 'Anikan'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_anikan_health
						player.speed = sw_anikan_speed
						player.armor = sw_anikan_armor
						drop(userid)
						if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
							for h in str(sw_anikan_giveweapons).split(','):
								es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					elif rebel_model_features[steam] == 10:
						classname_dict[userid] = 'R2D2'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_r2d2_health
						player.speed = sw_r2d2_speed
						player.armor = sw_r2d2_armor
						drop(userid)
						if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
							for h in str(sw_r2d2_giveweapons).split(','):
								es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					elif rebel_model_features[steam] == 11:
						classname_dict[userid] = 'Leia'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_leia_health
						player.speed = sw_leia_speed
						player.armor = sw_leia_armor
						drop(userid)
						if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
							for h in str(sw_leia_giveweapons).split(','):
								es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		else:
			if sw_randomclasses == 1:
				if sw_jediModeEnabled == 1:
					randomclass1 = random.randint(1, 11)
				else:
					randomclass1 = random.randint(1, 5)
				if randomclass1 == 1:
					rebel_model_features[steam] = 1
					wanted_rebel[steam] = rebelsoldiermodel
					classname_dict[userid] = 'Rebel'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_rebel_health
					player.speed = sw_rebel_speed
					player.armor = sw_rebel_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_rebel_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass1 == 2:
					rebel_model_features[steam] = 2
					wanted_rebel[steam] = wookiemodel
					classname_dict[userid] = 'Wookie'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_wookie_health
					player.speed = sw_wookie_speed
					player.armor = sw_wookie_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):	
						for h in str(sw_wookie_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass1 == 3:
					rebel_model_features[steam] = 3
					wanted_rebel[steam] = jawamodel
					classname_dict[userid] = 'Jawa'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_jawa_health
					player.speed = sw_jawa_speed
					player.armor = sw_jawa_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_jawa_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass1 == 4:
					rebel_model_features[steam] = 4
					wanted_rebel[steam] = tuskenmodel
					classname_dict[userid] = 'Tuske'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_tuske_health
					player.speed = sw_tuske_speed
					player.armor = sw_tuske_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_tuske_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass1 == 5:
					rebel_model_features[steam] = 5
					wanted_rebel[steam] = c3pomodel
					classname_dict[userid] = 'C3PO'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_c3po_health
					player.speed = sw_c3po_speed
					player.armor = sw_c3po_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_c3po_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				if sw_jediModeEnabled == 1:
					if len(yodalist) != sw_jediYodaTeamRistriction:
						if randomclass1 == 6:
							rebel_model_features[steam] = 6
							if steam not in yodalist:
								yodalist.append(steam)
							wanted_rebel[steam] = yodamodel
							classname_dict[userid] = 'Yoda'
							es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
							player.health = sw_yoda_health
							player.speed = sw_yoda_speed
							player.armor = sw_yoda_armor
							drop(userid)
							if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
								for h in str(sw_yoda_giveweapons).split(','):
									es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if len(obiwanlist) != sw_jediObiwanTeamRistriction:
						if randomclass1 == 7:
							rebel_model_features[steam] = 7
							if steam not in obiwanlist:
								obiwanlist.append(steam)
							wanted_rebel[steam] = obiwanmodel
							classname_dict[userid] = 'Obi Wan'
							es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
							player.health = sw_obiwan_health
							player.speed = sw_obiwan_speed
							player.armor = sw_obiwan_armor
							drop(userid)
							if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
								for h in str(sw_obiwan_giveweapons).split(','):
									es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if len(ahsokalist) != sw_jediAhsokaTeamRistriction:
						if randomclass1 == 8:
							rebel_model_features[steam] = 8
							if steam not in ahsokalist:
								ahsokalist.append(steam)
							wanted_rebel[steam] = ahsokamodel
							classname_dict[userid] = 'Ahsoka'
							es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
							player.health = sw_ahsoka_health
							player.speed = sw_ahsoka_speed
							player.armor = sw_ahsoka_armor
							drop(userid)
							if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
								for h in str(sw_ahsoka_giveweapons).split(','):
									es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if len(anakinlist) != sw_jediAnakinTeamRistriction:
						if randomclass1 == 9:
							rebel_model_features[steam] = 9
							if steam not in anakinlist:
								anakinlist.append(steam)
							wanted_rebel[steam] = anikanmodel
							classname_dict[userid] = 'Anikan'
							es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
							player.health = sw_anikan_health
							player.speed = sw_anikan_speed
							player.armor = sw_anikan_armor
							drop(userid)
							if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
								for h in str(sw_anikan_giveweapons).split(','):
									es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if len(r2d2list) != sw_jediR2d2TeamRistriction:
						if randomclass1 == 10:
							rebel_model_features[steam] = 10
							if steam not in r2d2list:
								r2d2list.append(steam)
							wanted_rebel[steam] = r2d2model
							classname_dict[userid] = 'R2D2'
							es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
							player.health = sw_r2d2_health
							player.speed = sw_r2d2_speed
							player.armor = sw_r2d2_armor
							drop(userid)
							if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
								for h in str(sw_r2d2_giveweapons).split(','):
									es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if len(leialist) != sw_jediLeiaTeamRistriction:
						if randomclass1 == 11:
							rebel_model_features[steam] = 11
							if steam not in yodalist:
								leialist.append(steam)
							wanted_rebel[steam] = leiamodel
							classname_dict[userid] = 'Leia'
							es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
							player.health = sw_leia_health
							player.speed = sw_leia_speed
							player.armor = sw_leia_armor
							drop(userid)
							if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
								for h in str(sw_leia_giveweapons).split(','):
									es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				rebelMenuShow(userid, steam)	
	if team == 3:
		if wanted_empire.has_key(steam):
			change_skin_empire(userid, steam)
			if sw_showmenuoneveryspawn == 1:
				empireMenuShow(userid, steam)
			if empire_model_features.has_key(steam):
				if empire_model_features[steam] == 1:
					classname_dict[userid] = 'Stormtrooper'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_storm_health
					player.speed = sw_storm_speed
					player.armor = sw_storm_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_storm_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif empire_model_features[steam] == 2:
					classname_dict[userid] = 'Snowtrooper'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_snow_health
					player.speed = sw_snow_speed
					player.armor = sw_snow_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_snow_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif empire_model_features[steam] == 3:
					classname_dict[userid] = 'Rodian'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_rodian_health
					player.speed = sw_rodian_speed
					player.armor = sw_rodian_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_rodian_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif empire_model_features[steam] == 4:
					classname_dict[userid] = 'Officer'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_officer_health
					player.speed = sw_officer_speed
					player.armor = sw_officer_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_officer_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif empire_model_features[steam] == 5:
					classname_dict[userid] = 'Boba Fett'
					es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_boba_health
					player.speed = sw_boba_speed
					player.armor = sw_boba_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_boba_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if sw_bobaJetsEnabled == 1:
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_jetpack_force},player.get('lang')))
				if sw_jediModeEnabled == 1:
					if empire_model_features[steam] == 6:
						classname_dict[userid] = 'Vader'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_vader_health
						player.speed = sw_vader_speed
						player.armor = sw_vader_armor
						drop(userid)
						if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
							for h in str(sw_vader_giveweapons).split(','):
								es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					elif empire_model_features[steam] == 7:
						classname_dict[userid] = 'Grievous'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_grievous_health
						player.speed = sw_grievous_speed
						player.armor = sw_grievous_armor
						drop(userid)
						if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
							for h in str(sw_grievous_giveweapons).split(','):
								es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					elif empire_model_features[steam] == 8:
						classname_dict[userid] = 'Darth Maul'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_darthmaul_health
						player.speed = sw_darthmaul_speed
						player.armor = sw_darthmaul_armor
						drop(userid)
						if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
							for h in str(sw_darthmaul_giveweapons).split(','):
								es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					elif empire_model_features[steam] == 9:
						classname_dict[userid] = 'Count Dooku'
						es.tell(userid, '#multi', text('cho1',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
						player.health = sw_countdooku_health
						player.speed = sw_countdooku_speed
						player.armor = sw_countdooku_armor
						drop(userid)
						if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
							for h in str(sw_countdooku_giveweapons).split(','):
								es.delayed(0.4,'es_xgive %s %s' % (userid, h))
		else:
			if sw_randomclasses == 1:
				if sw_jediModeEnabled == 1:
					randomclass2 = random.randint(1, 9)
				else:
					randomclass2 = random.randint(1, 5)
				if randomclass2 == 1:
					empire_model_features[steam] = 1
					wanted_empire[steam] = stormtroopermodel
					classname_dict[userid] = 'Stormtrooper'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_storm_health
					player.speed = sw_storm_speed
					player.armor = sw_storm_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_storm_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass2 == 2:
					empire_model_features[steam] = 2
					wanted_empire[steam] = snowtroopermodel
					classname_dict[userid] = 'Snowtrooper'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_snow_health
					player.speed = sw_snow_speed
					player.armor = sw_snow_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_snow_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass2 == 3:
					empire_model_features[steam] = 3
					wanted_empire[steam] = rodianmodel 
					classname_dict[userid] = 'Rodian'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_rodian_health
					player.speed = sw_rodian_speed
					player.armor = sw_rodian_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_rodian_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass2 == 4:
					empire_model_features[steam] = 4
					wanted_empire[steam] = officermodel
					classname_dict[userid] = 'Officer'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
					player.health = sw_officer_health
					player.speed = sw_officer_speed
					player.armor = sw_officer_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_officer_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				elif randomclass2 == 5:
					empire_model_features[steam] = 5
					wanted_empire[steam] = bobamodel
					classname_dict[userid] = 'Boba Fett'
					es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_jetpack_force},player.get('lang')))
					player.health = sw_boba_health
					player.speed = sw_boba_speed
					player.armor = sw_boba_armor
					drop(userid)
					if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
						for h in str(sw_boba_giveweapons).split(','):
							es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if sw_bobaJetsEnabled == 1:
						es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
				if sw_jediModeEnabled == 1:
					if len(vaderlist) != sw_jediVaderTeamRistriction:
						if randomclass2 == 6:
							empire_model_features[steam] = 6
							if steam not in vaderlist:
								vaderlist.append(steam)
							wanted_empire[steam] = vadermodel
							classname_dict[userid] = 'Vader'
							es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
							player.health = sw_vader_health
							player.speed = sw_vader_speed
							player.armor = sw_vader_armor
							drop(userid)
							if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
								for h in str(sw_vader_giveweapons).split(','):
									es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if len(grievouslist) != sw_jediGrievousTeamRistriction:
						if randomclass2 == 7:
							empire_model_features[steam] = 7
							if steam not in grievouslist:
								grievouslist.append(steam)
							wanted_empire[steam] = grievousmodel
							classname_dict[userid] = 'Grievous'
							es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
							player.health = sw_grievous_health
							player.speed = sw_grievous_speed
							player.armor = sw_grievous_armor
							drop(userid)
							if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
								for h in str(sw_grievous_giveweapons).split(','):
									es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if len(darthmaullist) != sw_jediDarthmaulTeamRistriction:
						if randomclass2 == 8:
							empire_model_features[steam] = 8
							if steam not in darthmaullist:
								darthmaullist.append(steam)
							wanted_empire[steam] = darthmaulmodel
							classname_dict[userid] = 'Darth Maul'
							es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
							player.health = sw_darthmaul_health
							player.speed = sw_darthmaul_speed
							player.armor = sw_darthmaul_armor
							drop(userid)
							if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
								for h in str(sw_darthmaul_giveweapons).split(','):
									es.delayed(0.4,'es_xgive %s %s' % (userid, h))
					if len(countdookulist) != sw_jediCountDookuTeamRistriction:
						if randomclass2 == 9:
							empire_model_features[steam] = 9
							if steam not in countdookulist:
								countdookulist.append(steam)
							wanted_empire[steam] = countdookumodel
							classname_dict[userid] = 'Count Dooku'
							es.tell(userid, '#multi', text('crsw',{'classn': classname_dict[userid],'command': sw_force_command},player.get('lang')))
							player.health = sw_countdooku_health
							player.speed = sw_countdooku_speed
							player.armor = sw_countdooku_armor
							drop(userid)
							if not es.getplayerprop(userid, "CCSPlayer.baseclass.pl.deadflag"):
								for h in str(sw_countdooku_giveweapons).split(','):
									es.delayed(0.4,'es_xgive %s %s' % (userid, h))
				empireMenuShow(userid, steam)
			
def download():
	if os.path.isfile(apath + '/downloads.cfg'):
		for a in r_download():
			es.stringtable('downloadables', a)
			
def r_download():
	if os.path.isfile(apath + '/downloads.cfg'):
		a = open(apath + '/downloads.cfg', 'r')
		b = a.readlines()
		a.close()
		return map(lambda x: x.replace('\n', '').replace('\\', '/').replace('downloadable', ''), filter(lambda x: not x.startswith('//') and not x == '\n' and len(x) >= 10, b))
